if (!defined &_SYS_AUDIOIO_H_) {
    eval 'sub _SYS_AUDIOIO_H_ {1;}';
    eval 'sub AUMODE_PLAY {0x01;}';
    eval 'sub AUMODE_RECORD {0x02;}';
    eval 'sub AUMODE_PLAY_ALL {0x04;}';
    if (defined &_KERNEL) {
	eval 'sub AUDIO_INITINFO {
	    local($p) = @_;
	    eval "{  &register \'int\'  &n = $sizeof{\'struct audio_info\'};  &register \'u_char\' * &q =  $p;  &while ( &n-- > 0) * &q++ = 0xff; }";
	}';
    }
    else {
	eval 'sub AUDIO_INITINFO {
	    local($p) = @_;
	    eval "( &void) &memset(( &void *)($p), 0xff, $sizeof{\'struct audio_info\'})";
	}';
    }
    eval 'sub MAX_AUDIO_DEV_LEN {16;}';
    eval 'sub AUDIO_ENCODING_NONE {0;}';
    eval 'sub AUDIO_ENCODING_ULAW {1;}';
    eval 'sub AUDIO_ENCODING_ALAW {2;}';
    eval 'sub AUDIO_ENCODING_PCM16 {3;}';
    eval 'sub AUDIO_ENCODING_LINEAR { &AUDIO_ENCODING_PCM16;}';
    eval 'sub AUDIO_ENCODING_PCM8 {4;}';
    eval 'sub AUDIO_ENCODING_ADPCM {5;}';
    eval 'sub AUDIO_ENCODING_SLINEAR_LE {6;}';
    eval 'sub AUDIO_ENCODING_SLINEAR_BE {7;}';
    eval 'sub AUDIO_ENCODING_ULINEAR_LE {8;}';
    eval 'sub AUDIO_ENCODING_ULINEAR_BE {9;}';
    eval 'sub AUDIO_ENCODING_SLINEAR {10;}';
    eval 'sub AUDIO_ENCODING_ULINEAR {11;}';
    eval 'sub AUDIO_ENCODINGFLAG_EMULATED {1;}';
    eval 'sub AUDIO_GETINFO { &_IOR(ord(\'A\'), 21, \'struct audio_info\');}';
    eval 'sub AUDIO_SETINFO { &_IOWR(ord(\'A\'), 22, \'struct audio_info\');}';
    eval 'sub AUDIO_DRAIN { &_IO(ord(\'A\'), 23);}';
    eval 'sub AUDIO_FLUSH { &_IO(ord(\'A\'), 24);}';
    eval 'sub AUDIO_WSEEK { &_IOR(ord(\'A\'), 25, \'u_long\');}';
    eval 'sub AUDIO_RERROR { &_IOR(ord(\'A\'), 26, \'int\');}';
    eval 'sub AUDIO_GETDEV { &_IOR(ord(\'A\'), 27, \'struct audio_device\');}';
    eval 'sub AUDIO_GETENC { &_IOWR(ord(\'A\'), 28, \'struct audio_encoding\');}';
    eval 'sub AUDIO_GETFD { &_IOR(ord(\'A\'), 29, \'int\');}';
    eval 'sub AUDIO_SETFD { &_IOWR(ord(\'A\'), 30, \'int\');}';
    eval 'sub AUDIO_PERROR { &_IOR(ord(\'A\'), 31, \'int\');}';
    eval 'sub AUDIO_GETIOFFS { &_IOR(ord(\'A\'), 32, \'struct audio_offset\');}';
    eval 'sub AUDIO_GETOOFFS { &_IOR(ord(\'A\'), 33, \'struct audio_offset\');}';
    eval 'sub AUDIO_GETPROPS { &_IOR(ord(\'A\'), 34, \'int\');}';
    eval 'sub AUDIO_PROP_FULLDUPLEX {0x01;}';
    eval 'sub AUDIO_PROP_MMAP {0x02;}';
    eval 'sub AUDIO_PROP_INDEPENDENT {0x04;}';
    eval 'sub AUDIO_MIN_GAIN {0;}';
    eval 'sub AUDIO_MAX_GAIN {255;}';
    eval 'sub AUDIO_MIXER_LEVEL_MONO {0;}';
    eval 'sub AUDIO_MIXER_LEVEL_LEFT {0;}';
    eval 'sub AUDIO_MIXER_LEVEL_RIGHT {1;}';
    eval 'sub AUDIO_MIXER_CLASS {0;}';
    eval 'sub AUDIO_MIXER_ENUM {1;}';
    eval 'sub AUDIO_MIXER_SET {2;}';
    eval 'sub AUDIO_MIXER_VALUE {3;}';
    eval 'sub AUDIO_MIXER_LAST {-1;}';
    eval 'sub AUDIO_MIXER_READ { &_IOWR(ord(\'M\'), 0,  &mixer_ctrl_t);}';
    eval 'sub AUDIO_MIXER_WRITE { &_IOWR(ord(\'M\'), 1,  &mixer_ctrl_t);}';
    eval 'sub AUDIO_MIXER_DEVINFO { &_IOWR(ord(\'M\'), 2,  &mixer_devinfo_t);}';
    eval 'sub AudioNmicrophone {"mic";}';
    eval 'sub AudioNline {"line";}';
    eval 'sub AudioNcd {"CD";}';
    eval 'sub AudioNdac {"DAC";}';
    eval 'sub AudioNrecord {"record";}';
    eval 'sub AudioNvolume {"volume";}';
    eval 'sub AudioNmonitor {"monitor";}';
    eval 'sub AudioNtreble {"treble";}';
    eval 'sub AudioNbass {"bass";}';
    eval 'sub AudioNspeaker {"speaker";}';
    eval 'sub AudioNheadphone {"headphones";}';
    eval 'sub AudioNoutput {"output";}';
    eval 'sub AudioNinput {"input";}';
    eval 'sub AudioNmaster {"master";}';
    eval 'sub AudioNstereo {"stereo";}';
    eval 'sub AudioNmono {"mono";}';
    eval 'sub AudioNspatial {"spatial";}';
    eval 'sub AudioNsurround {"surround";}';
    eval 'sub AudioNpseudo {"pseudo";}';
    eval 'sub AudioNmute {"mute";}';
    eval 'sub AudioNenhanced {"enhanced";}';
    eval 'sub AudioNon {"on";}';
    eval 'sub AudioNoff {"off";}';
    eval 'sub AudioNmode {"mode";}';
    eval 'sub AudioNsource {"source";}';
    eval 'sub AudioNfmsynth {"fmsynth";}';
    eval 'sub AudioNwave {"wave";}';
    eval 'sub AudioNmidi {"midi";}';
    eval 'sub AudioNmixerout {"mixerout";}';
    eval 'sub AudioNswap {"swap";}';
    eval 'sub AudioEmulaw {"mulaw";}';
    eval 'sub AudioEalaw {"alaw";}';
    eval 'sub AudioEadpcm {"ADPCM";}';
    eval 'sub AudioElinear {"linear";}';
    eval 'sub AudioElinear_le {"linear_le";}';
    eval 'sub AudioElinear_be {"linear_be";}';
    eval 'sub AudioEulinear {"ulinear";}';
    eval 'sub AudioEulinear_le {"ulinear_le";}';
    eval 'sub AudioEulinear_be {"ulinear_be";}';
    eval 'sub AudioCInputs {"Inputs";}';
    eval 'sub AudioCOutputs {"Outputs";}';
    eval 'sub AudioCRecord {"Record";}';
    eval 'sub AudioCMonitor {"Monitor";}';
    eval 'sub AudioCEqualization {"Equalization";}';
}
1;
